Get Analytics
curl --request GET \
--url https://api.your-blindsight.com/api/runtime-security/analyticsimport requests
url = "https://api.your-blindsight.com/api/runtime-security/analytics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.your-blindsight.com/api/runtime-security/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"range_days": 123,
"totals": {},
"verdict_breakdown": {},
"pii_category_breakdown": {},
"top_injection_labels": [
{}
],
"series": [
{
"date": "<string>",
"allow": 123,
"flag": 123,
"redact": 123,
"block": 123,
"total": 123
}
],
"range_minutes": 0,
"bucket_seconds": 86400,
"avg_latency_ms": 123,
"p95_latency_ms": 123,
"discovery": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}runtime-security
Get Analytics
GET
/
api
/
runtime-security
/
analytics
Get Analytics
Query Parameters
Required range:
1 <= x <= 3650Required range:
1 <= x <= 5256000App UUID(s) to filter by
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

